#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "SFRD_Enterprise_A_hanger"
iconName = "SFRD_Enterprise_A"
longName = "SFRD_Enterprise_A_hanger"
shipFile = "SFRD_Enterprise_A_hanger"
species = App.SPECIES_GALAXY
menuGroup = 'TMP Ships'
playerMenuGroup = 'TMP Ships'
Foundation.ShipDef.SFRD_Enterprise_A_hanger = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.SFRD_Enterprise_A_hanger.desc = "USS Enterprise A, the second federation starship to carry the name."
Foundation.ShipDef.SFRD_Enterprise_A_hanger.dTechs = {
	# Here comes the AdonisTMPWarmUp script config
	# The sequence describes the warm up, and it's reversed (timed correctly) on cool off
	# The numbers are moments in time
	# 2 requirements, the first moment is the normal texture, and the last moment
	# On the other hand, you can also use startTrack and stopTrack, with the same config, but you can time it differently, and use different textures (if you want)
	"SFRD_Enterprise_A_hangerTMPWarpStartUp": {
		"track": {
			"Plas_glow": {
				0.0: "data\Models\Ships\SFRD_Enterprise_A/High/nacelle_glow.tga", 
				1.0: "data/Models/Ships/SFRD_Enterprise_A/High/nacelle1_glow.tga",
			}
		}
	}
}
Foundation.ShipDef.SFRD_Enterprise_A_hanger.PodModel = 'TMPpod'
if menuGroup:           Foundation.ShipDef.SFRD_Enterprise_A_hanger.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.SFRD_Enterprise_A_hanger.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
